Bug 1256031 - Editing application shortcuts doesn't work in kmenuedit
Editing application shortcuts doesn't work in kmenuedit
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kmenuedit (Show other bugs)
22
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-23 09:40 EDT by Rob Hulswit
Modified: 2016-07-19 16:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 16:13:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 339877 None None None Never

  None (edit)
Description Rob Hulswit 2015-08-23 09:40:27 EDT
Description of problem:

Applications shortcuts aren't remembered/applied


Version-Release number of selected component (if applicable):

kmenuedit.5.3.2-1

How reproducible:

Open the menu editor via the 'Edit Applications...' menu item on the application launcher context menu. Select an application, go to the 'Advanced' tab, and set a shortcut. Save the settings, try the new shortcut, nothing happens.
Furthermore, select another application, and the new shortcut isn't replaced by the shortcut of the previous application.

Steps to Reproduce:
1. Open menu editor
2. Modify shortcut of an application and save
3. Try shortcut

Actual results:

Application opens

Expected results:

Nothing happens.

Additional info:

The kmenuedit app in the kf5-workspace app is built without hotkeys support - presumably because the khotkeys-devel package wasn't available at build time.

The shortcut input isn't hidden when no shortcut support is configured, which is an KDE bug: https://bugs.kde.org/show_bug.cgi?id=339877

Please rebuild with khotkeys-devel available.
Comment 1 Rex Dieter 2015-09-25 11:51:58 EDT
%changelog
* Fri Sep 25 2015 Rex Dieter <rdieter@fedoraproject.org> - 5.4.1-2
- +BR: khotkeys-devel (#1256031)
- versioned/sorted build deps
- use %%license
Comment 2 Fedora Update System 2015-09-25 13:27:44 EDT
kmenuedit-5.4.1-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-f28e8a53e7
Comment 3 Fedora Update System 2015-09-25 13:35:18 EDT
kmenuedit-5.4.1-2.fc22 khotkeys-5.4.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-b06d4d9081
Comment 4 Fedora Update System 2015-09-26 20:37:31 EDT
khotkeys-5.4.1-1.fc22, kmenuedit-5.4.1-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update khotkeys kmenuedit'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-b06d4d9081
Comment 5 Fedora Update System 2015-09-26 20:54:42 EDT
kmenuedit-5.4.1-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update kmenuedit'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-f28e8a53e7
Comment 6 Fedora Update System 2015-10-02 18:55:30 EDT
bluedevil-5.4.2-1.fc22 kde-cli-tools-5.4.2-1.fc22 kde-gtk-config-5.4.2-1.fc22 kdecoration-5.4.2-1.fc22 kdeplasma-addons-5.4.2-1.fc22 kf5-kwayland-5.4.2-1.fc22 kgamma-5.4.2-1.fc22 khelpcenter-5.4.2-1.fc22 khotkeys-5.4.2-1.fc22 kinfocenter-5.4.2-1.fc22 kmenuedit-5.4.2-1.fc22 kscreen-5.4.2-1.fc22 ksshaskpass-5.4.2-1.fc22 ksysguard-5.4.2-1.fc22 kwayland-integration-5.4.2-1.fc22 kwin-5.4.2-1.fc22 kwrited-5.4.2-1.fc22 libkscreen-qt5-5.4.2-1.fc22 libksysguard-5.4.2-1.fc22 muon-5.4.2-1.fc22 oxygen-fonts-5.4.2-1.fc22 pam-kwallet-5.4.2-1.fc22 plasma-breeze-5.4.2-1.fc22 plasma-desktop-5.4.2-1.fc22 plasma-milou-5.4.2-1.fc22 plasma-nm-5.4.2-1.fc22 plasma-oxygen-5.4.2-1.fc22 plasma-pa-5.4.2-1.fc22 plasma-sdk-5.4.2-1.fc22 plasma-systemsettings-5.4.2-1.fc22 plasma-workspace-5.4.2-1.fc22 plasma-workspace-wallpapers-5.4.2-1.fc22 polkit-kde-5.4.2-1.fc22 powerdevil-5.4.2-1.fc22 sddm-kcm-5.4.2-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-6b26456127
Comment 7 Fedora Update System 2015-10-03 13:37:55 EDT
kmenuedit-5.4.1-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2015-10-03 21:35:28 EDT
bluedevil-5.4.2-1.fc22, kde-cli-tools-5.4.2-1.fc22, kde-gtk-config-5.4.2-1.fc22, kdecoration-5.4.2-1.fc22, kdeplasma-addons-5.4.2-1.fc22, kf5-kwayland-5.4.2-1.fc22, kgamma-5.4.2-1.fc22, khelpcenter-5.4.2-1.fc22, khotkeys-5.4.2-1.fc22, kinfocenter-5.4.2-1.fc22, kmenuedit-5.4.2-1.fc22, kscreen-5.4.2-1.fc22, ksshaskpass-5.4.2-1.fc22, ksysguard-5.4.2-1.fc22, kwayland-integration-5.4.2-1.fc22, kwin-5.4.2-1.fc22, kwrited-5.4.2-1.fc22, libkscreen-qt5-5.4.2-1.fc22, libksysguard-5.4.2-1.fc22, muon-5.4.2-1.fc22, oxygen-fonts-5.4.2-1.fc22, pam-kwallet-5.4.2-1.fc22, plasma-breeze-5.4.2-1.fc22, plasma-desktop-5.4.2-1.fc22, plasma-milou-5.4.2-1.fc22, plasma-nm-5.4.2-1.fc22, plasma-oxygen-5.4.2-1.fc22, plasma-pa-5.4.2-1.fc22, plasma-sdk-5.4.2-1.fc22, plasma-systemsettings-5.4.2-1.fc22, plasma-workspace-5.4.2-1.fc22, plasma-workspace-wallpapers-5.4.2-1.fc22, polkit-kde-5.4.2-1.fc22, powerdevil-5.4.2-1.fc22, sddm-kcm-5.4.2-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update sddm-kcm powerdevil polkit-kde plasma-workspace-wallpapers plasma-workspace plasma-systemsettings plasma-sdk plasma-pa plasma-oxygen plasma-nm plasma-milou plasma-desktop plasma-breeze pam-kwallet oxygen-fonts muon libksysguard libkscreen-qt5 kwrited kwin kwayland-integration ksysguard ksshaskpass kscreen kmenuedit kinfocenter khotkeys khelpcenter kgamma kf5-kwayland kdeplasma-addons kdecoration kde-gtk-config kde-cli-tools bluedevil'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-6b26456127
Comment 9 Fedora Update System 2015-10-05 22:35:19 EDT
bluedevil-5.4.2-1.fc22 kde-cli-tools-5.4.2-1.fc22 kde-gtk-config-5.4.2-1.fc22 kdecoration-5.4.2-1.fc22 kdeplasma-addons-5.4.2-1.fc22 kf5-kwayland-5.4.2-1.fc22 kgamma-5.4.2-1.fc22 khelpcenter-5.4.2-1.fc22 khotkeys-5.4.2-1.fc22 kinfocenter-5.4.2-1.fc22 kmenuedit-5.4.2-1.fc22 kscreen-5.4.2-1.fc22 ksshaskpass-5.4.2-1.fc22 ksysguard-5.4.2-1.fc22 kwayland-integration-5.4.2-1.fc22 kwin-5.4.2-1.fc22 kwrited-5.4.2-1.fc22 libkscreen-qt5-5.4.2-1.fc22 libksysguard-5.4.2-1.fc22 muon-5.4.2-1.fc22 oxygen-fonts-5.4.2-1.fc22 pam-kwallet-5.4.2-1.fc22 plasma-breeze-5.4.2-1.fc22 plasma-desktop-5.4.2-2.fc22 plasma-milou-5.4.2-1.fc22 plasma-nm-5.4.2-1.fc22 plasma-oxygen-5.4.2-1.fc22 plasma-pa-5.4.2-1.fc22 plasma-sdk-5.4.2-1.fc22 plasma-systemsettings-5.4.2-1.fc22 plasma-workspace-5.4.2-4.fc22 plasma-workspace-wallpapers-5.4.2-1.fc22 polkit-kde-5.4.2-1.fc22 powerdevil-5.4.2-1.fc22 sddm-kcm-5.4.2-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-6b26456127
Comment 10 Fedora Update System 2015-10-07 12:26:48 EDT
bluedevil-5.4.2-1.fc22, kde-cli-tools-5.4.2-1.fc22, kde-gtk-config-5.4.2-1.fc22, kdecoration-5.4.2-1.fc22, kdeplasma-addons-5.4.2-1.fc22, kf5-kwayland-5.4.2-1.fc22, kgamma-5.4.2-1.fc22, khelpcenter-5.4.2-1.fc22, khotkeys-5.4.2-1.fc22, kinfocenter-5.4.2-1.fc22, kmenuedit-5.4.2-1.fc22, kscreen-5.4.2-1.fc22, ksshaskpass-5.4.2-1.fc22, ksysguard-5.4.2-1.fc22, kwayland-integration-5.4.2-1.fc22, kwin-5.4.2-1.fc22, kwrited-5.4.2-1.fc22, libkscreen-qt5-5.4.2-1.fc22, libksysguard-5.4.2-1.fc22, muon-5.4.2-1.fc22, oxygen-fonts-5.4.2-1.fc22, pam-kwallet-5.4.2-1.fc22, plasma-breeze-5.4.2-1.fc22, plasma-desktop-5.4.2-2.fc22, plasma-milou-5.4.2-1.fc22, plasma-nm-5.4.2-1.fc22, plasma-oxygen-5.4.2-1.fc22, plasma-pa-5.4.2-1.fc22, plasma-sdk-5.4.2-1.fc22, plasma-systemsettings-5.4.2-1.fc22, plasma-workspace-5.4.2-4.fc22, plasma-workspace-wallpapers-5.4.2-1.fc22, polkit-kde-5.4.2-1.fc22, powerdevil-5.4.2-1.fc22, sddm-kcm-5.4.2-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update plasma-workspace plasma-desktop sddm-kcm powerdevil polkit-kde plasma-workspace-wallpapers plasma-systemsettings plasma-sdk plasma-pa plasma-oxygen plasma-nm plasma-milou plasma-breeze pam-kwallet oxygen-fonts muon libksysguard libkscreen-qt5 kwrited kwin kwayland-integration ksysguard ksshaskpass kscreen kmenuedit kinfocenter khotkeys khelpcenter kgamma kf5-kwayland kdeplasma-addons kdecoration kde-gtk-config kde-cli-tools bluedevil'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-6b26456127
Comment 11 Fedora Update System 2015-10-13 07:43:34 EDT
bluedevil-5.4.2-1.fc22 kde-cli-tools-5.4.2-1.fc22 kde-gtk-config-5.4.2-1.fc22 kdecoration-5.4.2-1.fc22 kdeplasma-addons-5.4.2-1.fc22 kf5-kwayland-5.4.2-1.fc22 kgamma-5.4.2-1.fc22 khelpcenter-5.4.2-1.fc22 khotkeys-5.4.2-1.fc22 kinfocenter-5.4.2-1.fc22 kmenuedit-5.4.2-1.fc22 kscreen-5.4.2-1.fc22 ksshaskpass-5.4.2-1.fc22 ksysguard-5.4.2-1.fc22 kwayland-integration-5.4.2-1.fc22 kwin-5.4.2-1.fc22 kwrited-5.4.2-1.fc22 libkscreen-qt5-5.4.2-1.fc22 libksysguard-5.4.2-1.fc22 muon-5.4.2-1.fc22 oxygen-fonts-5.4.2-1.fc22 pam-kwallet-5.4.2-1.fc22 plasma-breeze-5.4.2-2.fc22 plasma-desktop-5.4.2-2.fc22 plasma-milou-5.4.2-1.fc22 plasma-nm-5.4.2-1.fc22 plasma-oxygen-5.4.2-1.fc22 plasma-pa-5.4.2-1.fc22 plasma-sdk-5.4.2-1.fc22 plasma-systemsettings-5.4.2-1.fc22 plasma-workspace-5.4.2-4.fc22 plasma-workspace-wallpapers-5.4.2-1.fc22 polkit-kde-5.4.2-1.fc22 powerdevil-5.4.2-1.fc22 sddm-kcm-5.4.2-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-6b26456127
Comment 12 Fedora Update System 2015-10-14 05:27:59 EDT
bluedevil-5.4.2-1.fc22, kde-cli-tools-5.4.2-1.fc22, kde-gtk-config-5.4.2-1.fc22, kdecoration-5.4.2-1.fc22, kdeplasma-addons-5.4.2-1.fc22, kf5-kwayland-5.4.2-1.fc22, kgamma-5.4.2-1.fc22, khelpcenter-5.4.2-1.fc22, khotkeys-5.4.2-1.fc22, kinfocenter-5.4.2-1.fc22, kmenuedit-5.4.2-1.fc22, kscreen-5.4.2-1.fc22, ksshaskpass-5.4.2-1.fc22, ksysguard-5.4.2-1.fc22, kwayland-integration-5.4.2-1.fc22, kwin-5.4.2-1.fc22, kwrited-5.4.2-1.fc22, libkscreen-qt5-5.4.2-1.fc22, libksysguard-5.4.2-1.fc22, muon-5.4.2-1.fc22, oxygen-fonts-5.4.2-1.fc22, pam-kwallet-5.4.2-1.fc22, plasma-breeze-5.4.2-2.fc22, plasma-desktop-5.4.2-2.fc22, plasma-milou-5.4.2-1.fc22, plasma-nm-5.4.2-1.fc22, plasma-oxygen-5.4.2-1.fc22, plasma-pa-5.4.2-1.fc22, plasma-sdk-5.4.2-1.fc22, plasma-systemsettings-5.4.2-1.fc22, plasma-workspace-5.4.2-4.fc22, plasma-workspace-wallpapers-5.4.2-1.fc22, polkit-kde-5.4.2-1.fc22, powerdevil-5.4.2-1.fc22, sddm-kcm-5.4.2-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update plasma-breeze plasma-workspace sddm-kcm plasma-systemsettings muon kdecoration kde-gtk-config libksysguard kde-cli-tools bluedevil plasma-sdk libkscreen-qt5 kwrited powerdevil plasma-pa kwin kwayland-integration plasma-oxygen ksysguard ksshaskpass plasma-desktop polkit-kde plasma-nm kscreen kmenuedit plasma-milou kinfocenter khotkeys plasma-workspace-wallpapers pam-kwallet khelpcenter kgamma oxygen-fonts kf5-kwayland kdeplasma-addons'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-6b26456127
Comment 13 Fedora Update System 2015-10-23 13:25:46 EDT
bluedevil-5.4.2-1.fc22, kde-cli-tools-5.4.2-1.fc22, kde-gtk-config-5.4.2-1.fc22, kdecoration-5.4.2-1.fc22, kdeplasma-addons-5.4.2-1.fc22, kf5-kwayland-5.4.2-1.fc22, kgamma-5.4.2-1.fc22, khelpcenter-5.4.2-1.fc22, khotkeys-5.4.2-1.fc22, kinfocenter-5.4.2-1.fc22, kmenuedit-5.4.2-1.fc22, kscreen-5.4.2-1.fc22, ksshaskpass-5.4.2-1.fc22, ksysguard-5.4.2-1.fc22, kwayland-integration-5.4.2-1.fc22, kwin-5.4.2-1.fc22, kwrited-5.4.2-1.fc22, libkscreen-qt5-5.4.2-1.fc22, libksysguard-5.4.2-1.fc22, muon-5.4.2-1.fc22, oxygen-fonts-5.4.2-1.fc22, pam-kwallet-5.4.2-1.fc22, plasma-breeze-5.4.2-2.fc22, plasma-desktop-5.4.2-2.fc22, plasma-milou-5.4.2-1.fc22, plasma-nm-5.4.2-1.fc22, plasma-oxygen-5.4.2-1.fc22, plasma-pa-5.4.2-1.fc22, plasma-sdk-5.4.2-1.fc22, plasma-systemsettings-5.4.2-1.fc22, plasma-workspace-5.4.2-4.fc22, plasma-workspace-wallpapers-5.4.2-1.fc22, polkit-kde-5.4.2-1.fc22, powerdevil-5.4.2-1.fc22, sddm-kcm-5.4.2-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora End Of Life 2016-07-19 16:13:02 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.